"{ Package: 'stx:goodies/xtreams/transforms' }"

"{ NameSpace: Xtreams }"

Encoder subclass:#ISO8859L1Encoder
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Xtreams-Transforms'
!

ISO8859L1Encoder comment:'Implements ISO-8859-1 (Latin 1) encoding.

'
!


!ISO8859L1Encoder class methodsFor:'class initialization'!

initialize
	| newSelf |
	newSelf := self new.
	#(#'latin-1' #latin1 #iso8859L1 #ISO8859L1) do: [:id | self encoders at: id put: newSelf]
! !

!ISO8859L1Encoder methodsFor:'accessing'!

decodeFrom: aReadStream
	^Character value: aReadStream get
!

encode: aCharacter on: aWriteStream
	aWriteStream put: aCharacter asInteger
! !

!ISO8859L1Encoder class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !

ISO8859L1Encoder initialize!
